smuxi-server(1)

NAME
smuxi-server - remote engine for Smuxi chat client

SYNOPSIS
smuxi-server [-dh] [--add-user] [--modify-user] [--delete-user] [--list-users] [--username=username] [--password=password] [--optimize-message-buffers=action]

DESCRIPTION
smuxi-server is a remote engine for the Smuxi chat client. Multiple Smuxi frontends can connect and be kept in sync, and when none are connected, keeps track and stays connected to servers.

Some options are mutually exclusive. When no special options are taken, the server will start normally. The options are as follows:

-d, --debug
    Turn on debugging. Debug logs are sent to $XDG_DATA_HOME/smuxi/smuxi-server.log , and older logs are moved to the date of usage.

-h, --help
    Show the arguments Smuxi takes.

--version
    Show version information.

--add-user
    Adds a user to the server.

--delete-user
    Deletes a user from the server.

--modify-user
    Changes a user's properties.

--list-users
    Lists the users of the server.

--username=username
    When adding, deleting, or modifying a user, use that username.

--password=password
    When adding or modifying a user, use that password.

--optimize-message-buffers=action
    Optimizes the message buffers. Valid values are none, defrag, index, and all.

FILES
$XDG_DATA_HOME/smuxi/share/smuxi-server.log
    smuxi debug log
$XDG_CONFIG_HOME/smuxi/smuxi-engine.ini
    smuxi engine config

SIGNALS
Smuxi will handle and catch these signals:
SIGINT
    Gracefully exits the server.
SIGTERM
    Gracefully exits the server.

SEE ALSO
smuxi-frontend-gnome(1), smuxi-frontend-stfl(1), smuxi-message-buffer(1)

Website: https://smuxi.im/

AUTHOR/CREDITS
Smuxi, including this server, was written by Mirco Bauer.

This manpage was written by Calvin Buckley.